//colorsel.cpp



#include <gnome.h>
#include "theme.h"
#include "widget.h"
#include "colorsel.h"


Colorsel::Colorsel(gchar title[] = "")
{
	_widget = gtk_color_selection_dialog_new(title);
	_colorsel = GTK_COLOR_SELECTION(GTK_COLOR_SELECTION_DIALOG(_widget)->colorsel);
}

//essentials
//extra signal connections
void Colorsel::signalConnectOk(char event[], void* func, gpointer data)
{
	gtk_signal_connect(GTK_OBJECT(GTK_COLOR_SELECTION_DIALOG(_widget)->ok_button), event, GtkSignalFunc(func), data);
}

void Colorsel::signalConnectCancel(char event[], void* func, gpointer data)
{
	gtk_signal_connect(GTK_OBJECT(GTK_COLOR_SELECTION_DIALOG(_widget)->cancel_button), event, GtkSignalFunc(func), data);
}

//returns
void Colorsel::getColor(gdouble* color)
{
	gtk_color_selection_get_color(_colorsel, color);
}

//sets
void Colorsel::setTitle(gchar title[])
{
	gtk_window_set_title(GTK_WINDOW(_widget), title);
}

void Colorsel::setColor(gdouble* color)
{
	gtk_color_selection_set_color(_colorsel, color);
}
