//config.h
//helper to create/parse help files




#ifndef __CONFIG_H
#define __CONFIG_H


#define SECTION_MAX_LENGTH 32
#define VARIABLE_MAX_LENGTH 256
#define VALUE_MAX_LENGTH 256



typedef struct _Variable
{
	gchar* name;
	gchar* value;
} Variable;

typedef struct _Section
{
	gchar* name;
	SList variables;
} Section;


class Config
{
	private:
		FILE* _f;
		gchar* _filename;

		SList _sections;
	public:
		Config(gchar filename[]);
		~Config();

		//useful
		gint open(gboolean write = FALSE);
		gint close();

		//save
		void setVariable(gchar section[], gchar variable[], gchar value[]);

		//load
		void getVariable(gchar section[], gchar variable[], gchar* value[]);

		//delete
		void deleteSection(gchar section[]);
		void deleteVariable(gchar section[], gchar variable[]);
};

#endif //__CONFIG_H
