//menubar.cpp



#include <gnome.h>
#include "theme.h"
#include "widget.h"
#include "container.h"
#include "handle.h"
#include "menubar.h"


Menubar::Menubar(): Handle()
{
	_widget = gtk_handle_box_new();
	_menubar = gtk_menu_bar_new();
	Container::add(_menubar);
}

Menubar::~Menubar()
{
	gtk_widget_destroy(_menubar);
}

void Menubar::add(char label[], Widget* menu)
{
	GtkWidget* menuitem;

	menuitem = gtk_menu_item_new_with_label(label);
	gtk_menu_item_set_submenu(GTK_MENU_ITEM(menuitem), menu->widget());
	gtk_menu_bar_append(GTK_MENU_BAR(_menubar), menuitem);
	gtk_widget_show(menuitem);
}

void Menubar::show()
{
	gtk_widget_show(_menubar);
	Widget::show();
}
